"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.login = void 0;
const login = async (page, username, password) => {
    const emailInput = await page.waitForSelector("#ap_email");
    const passwordInput = await page.waitForSelector("#ap_password");
    const loginButton = await page.waitForSelector("#signInSubmit");
    if (emailInput && passwordInput && loginButton) {
        await emailInput.type(username);
        await passwordInput.type(password);
        await loginButton.click();
        await page.waitForNavigation();
    }
    return page;
};
exports.login = login;
